package com.ruoyi.project.plant.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.plant.domain.TBrithstaffmgr;

/**
 * 生日提醒Mapper接口
 * 
 * @author ruoyi
 * @date 2021-01-18
 */
public interface TBrithstaffmgrMapper 
{
    /**
     * 查询生日提醒
     * 
     * @param id 生日提醒ID
     * @return 生日提醒
     */
    public TBrithstaffmgr selectTBrithstaffmgrById(Long id);

    /**
     * 查询生日提醒列表
     * 
     * @param tBrithstaffmgr 生日提醒
     * @return 生日提醒集合
     */
    @DataScope(deptAlias = "d")
    public List<TBrithstaffmgr> selectTBrithstaffmgrList(TBrithstaffmgr tBrithstaffmgr);

    /**
     * 新增生日提醒
     * 
     * @param tBrithstaffmgr 生日提醒
     * @return 结果
     */
    public int insertTBrithstaffmgr(TBrithstaffmgr tBrithstaffmgr);

    /**
     * 修改生日提醒
     * 
     * @param tBrithstaffmgr 生日提醒
     * @return 结果
     */
    public int updateTBrithstaffmgr(TBrithstaffmgr tBrithstaffmgr);

    /**
     * 删除生日提醒
     * 
     * @param id 生日提醒ID
     * @return 结果
     */
    public int deleteTBrithstaffmgrById(Long id);

    /**
     * 批量删除生日提醒
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTBrithstaffmgrByIds(Long[] ids);

    /**
     * 删除所有生日提醒
     *
     * @return 结果
     */
    public int deleteAllBirthstaffmgr();
}
